do
	local originalCreateUI = CreateUI
	local originalOnSelectionChanged = OnSelectionChanged

	function CreateUI(isReplay)
		originalCreateUI(isReplay)
		import("/mods/W_Groups/modules/groupinterface.lua").Init()
	end

	function OnSelectionChanged(oldSelection, newSelection, added, removed)
		-- If we have a current Squad, update the current squad indicator to reflect the new selection      
		if import("/mods/W_Groups/modules/groupinterface.lua").CurrSquad then
			local currLabel = import("/mods/w_groups/modules/groupinterface.lua").GetCurrentLabel()
			if (table.getn(newSelection) > 0) then
				for i, newUnit in newSelection do
					if newUnit:HasSelectionSet(currLabel) == false then
						-- If we're selecting something outside the current squad, reset the indicator
						import("/mods/W_Groups/modules/groupinterface.lua").SetCurrSquad(false)
						break
					end
				end
			else
				-- Nothing selected, reset indicator
				import("/mods/W_Groups/modules/groupinterface.lua").SetCurrSquad(false)
			end    
		end
		-- Run old selection code
		originalOnSelectionChanged(oldSelection, newSelection, added, removed)
	end

	-- let's have some keybindings
	import('/mods/W_Groups/modules/keymapping.lua').Init()
end
