local KeyMapper = import('/lua/keymap/keymapper.lua')
local Prefs = import('/lua/user/prefs.lua')

function Init()
-- general Grouping keys
	KeyMapper.SetUserKeyAction('filter_to_battalion', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FilterToBattalion()', category = 'selection', order = 70})
	KeyMapper.SetUserKeyAction('factory_selection_curr', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FactorySelectionCurr()', category = 'selection', order = 71})
	KeyMapper.SetUserKeyAction('select_next_unit', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectNextUnitFromBattalion()', category = 'selection', order = 72})
	KeyMapper.SetUserKeyAction('select_next_unit_append', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectNextUnitFromBattalion(true)', category = 'selection', order = 73})
	KeyMapper.SetUserKeyAction('fill_current_battalion_type', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(9,true)', category = 'selection', order = 74})
	KeyMapper.SetUserKeyAction('fill_current_battalion_divide', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(3)', category = 'selection', order = 75})
    KeyMapper.SetUserKeyAction('set_return_fire', {action =	'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").ReturnFire()', category = 'orders', order = 76})
    KeyMapper.SetUserKeyAction('set_hold_fire', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").HoldFire()', category = 'orders', order = 77})
    KeyMapper.SetUserKeyAction('set_cascade_fire_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CascadeFire(1)', category = 'orders', order = 78})
    KeyMapper.SetUserKeyAction('set_cascade_fire_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CascadeFire(2)', category = 'orders', order = 79})

-- Grouping selection keys
    KeyMapper.SetUserKeyAction('select_subgroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(1)', category = 'selection', order = 100})
    KeyMapper.SetUserKeyAction('select_subgroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(2)', category = 'selection', order = 101})
    KeyMapper.SetUserKeyAction('select_subgroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(3)', category = 'selection', order = 102})
    KeyMapper.SetUserKeyAction('select_subgroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(4)', category = 'selection', order = 103})
    KeyMapper.SetUserKeyAction('select_subgroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(5)', category = 'selection', order = 104})
    KeyMapper.SetUserKeyAction('select_subgroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(6)', category = 'selection', order = 105})
    KeyMapper.SetUserKeyAction('select_subgroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(7)', category = 'selection', order = 106})
    KeyMapper.SetUserKeyAction('select_subgroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(8)', category = 'selection', order = 107})
    KeyMapper.SetUserKeyAction('select_subgroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(9)', category = 'selection', order = 108})
    KeyMapper.SetUserKeyAction('select_subgroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectSquad(0)', category = 'selection', order = 109})

    KeyMapper.SetUserKeyAction('select_supergroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(1)', category = 'selection', order = 110})
    KeyMapper.SetUserKeyAction('select_supergroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(2)', category = 'selection', order = 111})
    KeyMapper.SetUserKeyAction('select_supergroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(3)', category = 'selection', order = 112})
    KeyMapper.SetUserKeyAction('select_supergroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(4)', category = 'selection', order = 113})
    KeyMapper.SetUserKeyAction('select_supergroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(5)', category = 'selection', order = 114})
    KeyMapper.SetUserKeyAction('select_supergroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(6)', category = 'selection', order = 115})
    KeyMapper.SetUserKeyAction('select_supergroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(7)', category = 'selection', order = 116})
    KeyMapper.SetUserKeyAction('select_supergroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(8)', category = 'selection', order = 117})
    KeyMapper.SetUserKeyAction('select_supergroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(9)', category = 'selection', order = 118})
    KeyMapper.SetUserKeyAction('select_supergroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").SelectBattalion(0)', category = 'selection', order = 119})

    KeyMapper.SetUserKeyAction('create_subgroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(1)', category = 'selection', order = 120})
    KeyMapper.SetUserKeyAction('create_subgroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(2)', category = 'selection', order = 121})
    KeyMapper.SetUserKeyAction('create_subgroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(3)', category = 'selection', order = 122})
    KeyMapper.SetUserKeyAction('create_subgroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(4)', category = 'selection', order = 123})
    KeyMapper.SetUserKeyAction('create_subgroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(5)', category = 'selection', order = 124})
    KeyMapper.SetUserKeyAction('create_subgroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(6)', category = 'selection', order = 125})
    KeyMapper.SetUserKeyAction('create_subgroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(7)', category = 'selection', order = 126})
    KeyMapper.SetUserKeyAction('create_subgroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(8)', category = 'selection', order = 127})
    KeyMapper.SetUserKeyAction('create_subgroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(9)', category = 'selection', order = 128})
    KeyMapper.SetUserKeyAction('create_subgroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").CreateSquad(0)', category = 'selection', order = 129})

    KeyMapper.SetUserKeyAction('add_to_subgroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(1)', category = 'selection', order = 130})
    KeyMapper.SetUserKeyAction('add_to_subgroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(2)', category = 'selection', order = 131})
    KeyMapper.SetUserKeyAction('add_to_subgroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(3)', category = 'selection', order = 132})
    KeyMapper.SetUserKeyAction('add_to_subgroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(4)', category = 'selection', order = 133})
    KeyMapper.SetUserKeyAction('add_to_subgroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(5)', category = 'selection', order = 134})
    KeyMapper.SetUserKeyAction('add_to_subgroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(6)', category = 'selection', order = 135})
    KeyMapper.SetUserKeyAction('add_to_subgroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(7)', category = 'selection', order = 136})
    KeyMapper.SetUserKeyAction('add_to_subgroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(8)', category = 'selection', order = 137})
    KeyMapper.SetUserKeyAction('add_to_subgroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(9)', category = 'selection', order = 138})
    KeyMapper.SetUserKeyAction('add_to_subgroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendToSquad(0)', category = 'selection', order = 139})

    KeyMapper.SetUserKeyAction('append_supergroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(1)', category = 'selection', order = 140})
    KeyMapper.SetUserKeyAction('append_supergroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(2)', category = 'selection', order = 141})
    KeyMapper.SetUserKeyAction('append_supergroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(3)', category = 'selection', order = 142})
    KeyMapper.SetUserKeyAction('append_supergroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(4)', category = 'selection', order = 143})
    KeyMapper.SetUserKeyAction('append_supergroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(5)', category = 'selection', order = 144})
    KeyMapper.SetUserKeyAction('append_supergroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(6)', category = 'selection', order = 145})
    KeyMapper.SetUserKeyAction('append_supergroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(7)', category = 'selection', order = 146})
    KeyMapper.SetUserKeyAction('append_supergroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(8)', category = 'selection', order = 147})
    KeyMapper.SetUserKeyAction('append_supergroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(9)', category = 'selection', order = 148})
    KeyMapper.SetUserKeyAction('append_supergroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendBattalionToSelection(0)', category = 'selection', order = 149})

    KeyMapper.SetUserKeyAction('append_subgroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(1)', category = 'selection', order = 150})
    KeyMapper.SetUserKeyAction('append_subgroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(2)', category = 'selection', order = 151})
    KeyMapper.SetUserKeyAction('append_subgroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(3)', category = 'selection', order = 152})
    KeyMapper.SetUserKeyAction('append_subgroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(4)', category = 'selection', order = 153})
    KeyMapper.SetUserKeyAction('append_subgroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(5)', category = 'selection', order = 154})
    KeyMapper.SetUserKeyAction('append_subgroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(6)', category = 'selection', order = 155})
    KeyMapper.SetUserKeyAction('append_subgroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(7)', category = 'selection', order = 156})
    KeyMapper.SetUserKeyAction('append_subgroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(8)', category = 'selection', order = 157})
    KeyMapper.SetUserKeyAction('append_subgroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(9)', category = 'selection', order = 158})
    KeyMapper.SetUserKeyAction('append_subgroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").AppendSquadToSelection(0)', category = 'selection', order = 159})

    KeyMapper.SetUserKeyAction('create_supergroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(1,true)', category = 'selection', order = 160})
    KeyMapper.SetUserKeyAction('create_supergroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(2,true)', category = 'selection', order = 161})
    KeyMapper.SetUserKeyAction('create_supergroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(3,true)', category = 'selection', order = 162})
    KeyMapper.SetUserKeyAction('create_supergroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(4,true)', category = 'selection', order = 163})
    KeyMapper.SetUserKeyAction('create_supergroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(5,true)', category = 'selection', order = 164})
    KeyMapper.SetUserKeyAction('create_supergroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(6,true)', category = 'selection', order = 165})
    KeyMapper.SetUserKeyAction('create_supergroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(7,true)', category = 'selection', order = 166})
    KeyMapper.SetUserKeyAction('create_supergroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(8,true)', category = 'selection', order = 167})
    KeyMapper.SetUserKeyAction('create_supergroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(9,true)', category = 'selection', order = 168})
    KeyMapper.SetUserKeyAction('create_supergroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillBattalion(0,true)', category = 'selection', order = 169})

    KeyMapper.SetUserKeyAction('divide_supergroup_1', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(1)', category = 'selection', order = 170})
    KeyMapper.SetUserKeyAction('divide_supergroup_2', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(2)', category = 'selection', order = 171})
    KeyMapper.SetUserKeyAction('divide_supergroup_3', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(3)', category = 'selection', order = 172})
    KeyMapper.SetUserKeyAction('divide_supergroup_4', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(4)', category = 'selection', order = 173})
    KeyMapper.SetUserKeyAction('divide_supergroup_5', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(5)', category = 'selection', order = 174})
    KeyMapper.SetUserKeyAction('divide_supergroup_6', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(6)', category = 'selection', order = 175})
    KeyMapper.SetUserKeyAction('divide_supergroup_7', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(7)', category = 'selection', order = 176})
    KeyMapper.SetUserKeyAction('divide_supergroup_8', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(8)', category = 'selection', order = 177})
    KeyMapper.SetUserKeyAction('divide_supergroup_9', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(9)', category = 'selection', order = 178})
--    KeyMapper.SetUserKeyAction('divide_supergroup_0', {action = 'UI_Lua import("/mods/W_Groups/modules/groupinterface.lua").FillCurrentBattalion(0)', category = 'selection', order = 179})
end
